<?php

if (empty($_SERVER['argv'][1])) exit('Access Invalid!');

define('APP_ID','crontab');
define('BASE_PATH',str_replace('\\','/',dirname(__FILE__)));
define('TRANS_MASTER',true);

if (php_sapi_name() == 'cli') {
    $_GET['act'] = $_SERVER['argv'][1];
    $_GET['op'] = empty($_SERVER['argv'][2]) ? 'index' : $_SERVER['argv'][2];
}

if (!@include(BASE_PATH.'/control/control.php')) exit('control.php isn\'t exists!');

echo "act=" . $_GET['act'] . "\n";
echo "act=" . $_GET['op'] . "\n";

Base::run();